"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MongoshCommandFailed = exports.MongoshUnimplementedError = exports.MongoshInvalidInputError = exports.MongoshInternalError = exports.MongoshRuntimeError = exports.MongoshWarning = void 0;
class MongoshRuntimeError extends Error {
    constructor(message) {
        super(message);
        this.name = 'MongoshRuntimeError';
    }
}
exports.MongoshRuntimeError = MongoshRuntimeError;
class MongoshInternalError extends Error {
    constructor(message) {
        super(message);
        this.name = 'MongoshInternalError';
        this.message =
            this.message + '\nThis is an error inside Mongosh. Please file a bug report. '
                + 'Please include a log file from this session.';
    }
}
exports.MongoshInternalError = MongoshInternalError;
class MongoshUnimplementedError extends Error {
    constructor(message) {
        super(message);
        this.name = 'MongoshUnimplementedError';
    }
}
exports.MongoshUnimplementedError = MongoshUnimplementedError;
class MongoshInvalidInputError extends Error {
    constructor(message) {
        super(message);
        this.name = 'MongoshInvalidInputError';
    }
}
exports.MongoshInvalidInputError = MongoshInvalidInputError;
class MongoshWarning extends Error {
    constructor(message) {
        super(message);
        this.name = 'MongoshWarning';
    }
}
exports.MongoshWarning = MongoshWarning;
class MongoshCommandFailed extends Error {
    constructor(message) {
        super(`Command ${message} returned ok: 0. To see the raw results of the command, use 'runCommand' instead.`);
        this.name = 'MongoshCommandFailed';
    }
}
exports.MongoshCommandFailed = MongoshCommandFailed;
//# sourceMappingURL=index.js.map